<?php
/**
 * Copyright (C) 2017-2018 thirty bees
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@thirtybees.com so we can send you a copy immediately.
 *
 * @author    thirty bees <contact@thirtybees.com>
 * @copyright 2017-2018 thirty bees
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

if (!defined('_TB_VERSION_')) {
    return;
}

/**
 * Class VATNumberTaxManager
 */
class VATNumberTaxManager implements TaxManagerInterface
{
    /**
     * @param Address $address
     *
     * @return bool
     * @throws PrestaShopException
     */
    public static function isAvailableForThisAddress(Address $address)
    {
        return (!empty($address->vat_number)
            && $address->id_country != Configuration::get(VATNumber::COUNTRY)
            && Configuration::get(VATNumber::MANAGEMENT)
        );
    }

    /**
     * @return TaxCalculator
     */
    public function getTaxCalculator()
    {
        $tax = new Tax();
        $tax->rate = 12;

        return new TaxCalculator([$tax]);
    }
}
