{*
 * Copyright (C) 2017-2018 thirty bees
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@thirtybees.com so we can send you a copy immediately.
 *
 * @author    thirty bees <contact@thirtybees.com>
 * @copyright 2017-2018 thirty bees
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}
<div class="input-group" style="width: 250px">
  {html_options id="country-{$tr['code']|escape:'htmlall':'UTF-8'}" name="country-{$tr['code']|escape:'htmlall':'UTF-8'}" options=$groups selected=$tr['id_group']}
  <span class="input-group-btn">
    <button id="country-btn-{$tr['code']|escape:'htmlall':'UTF-8'}" class="btn btn-default" type="button" disabled="disabled">
      <span id="country-btn-set-{$tr['code']|escape:'htmlall':'UTF-8'}">{l s='Set' mod='vatnumber'} <i class="icon icon-chevron-right"></i></span>
    </button>
  </span>
</div>
<script type="text/javascript">
  (function () {
    function initGroupsBox() {
      if (typeof $ === 'undefined') {
        setTimeout(initGroupsBox, 100);

        return;
      }

      function groupButtonSet(event) {
        $target = $(event.target);
        $target.attr('disabled', 'disabled');
        $.ajax({
          method: 'post',
          url: window.vat_number_module_ajax,
          dataType: 'json',
          data: {
            ajax: 1,
            action: 'SetIdGroup',
            idGroup: $('#country-{$tr['code']|escape:'javascript':'UTF-8'}').val(),
            countryIso: '{$tr['code']|escape:'javascript':'UTF-8'}'
          },
          success: function (data) {
            if (data && data.success) {
              showSuccessMessage('{l s='Group successfully updated' mod='vatnumber' js=1}');
              $('#country-btn-{$tr['code']|escape:'htmlall':'UTF-8'}').attr('disabled', 'disabled');
            } else {
              showErrorMessage('{l s='Unable to set group' mod='vatnumber' js=1}');
            }
          },
          error: function () {
            showErrorMessage('{l s='Unable to set group' mod='vatnumber' js=1}');
          },
        });
      }

      $('#country-{$tr['code']|escape:'htmlall':'UTF-8'}').change(function (event) {
        console.log($(event.target).parent());
        $(event.target)
          .parent()
          .find('button')
          .removeAttr('disabled');
      });
      $('#country-btn-{$tr['code']|escape:'javascript':'UTF-8'}').click(groupButtonSet);
    }

    initGroupsBox();
  }());
</script>

