{*
 * Copyright (C) 2017-2018 thirty bees
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.md
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@thirtybees.com so we can send you a copy immediately.
 *
 * @author    thirty bees <contact@thirtybees.com>
 * @copyright 2017-2018 thirty bees
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}
<span style="display: block; width: 240px">
  <span>
    <div class="input-group" style="display: none">
      <input type="text" class="form-control" id="vat-number-input-{$tr['id_customer']|intval}">
      <span class="input-group-btn"
            id="vat-number-set-{$tr['id_customer']|intval}"
            data-id-customer="{$tr['id_customer']|intval}"
      >
        <button class="btn btn-default" type="button">{l s='Set' mod='vatnumber'}</button>
      </span>
    </div>
    <span style="display: inline-block">
      <span id="vat-number-valid-{$tr['id_customer']|intval}"
            class="badge badge-success"
            data-toggle="vat-number-tooltip-{$tr['id_customer']|intval}"
            data-placement="top"
            title="{l s='This number is valid' mod='vatnumber'}"
            style="display:{if $valid && !$manual}inline{else}none{/if}"
            data-id-customer="{$tr['id_customer']|intval}"
            data-vat-number="{$vatNumber|escape:'htmlall':'UTF-8'}"
      >
        <i class="icon icon-check-circle"></i> <span class="vat-number">{$vatNumber|escape:'htmlall':'UTF-8'}</span>
      </span>
      <span id="vat-number-manual-{$tr['id_customer']|intval}"
            class="badge badge-warning"
            data-toggle="vat-number-tooltip-{$tr['id_customer']|intval}"
            data-placement="top"
            title="{l s='This number needs to be validated manually' mod='vatnumber'}"
            style="display:{if $manual}inline{else}none{/if}"
            data-id-customer="{$tr['id_customer']|intval}"
            data-vat-number="{$vatNumber|escape:'htmlall':'UTF-8'}"
      >
        <i class="icon icon-question-circle"></i> <span class="vat-number">{$vatNumber|escape:'htmlall':'UTF-8'}</span>
      </span>
      <span id="vat-number-invalid-{$tr['id_customer']|intval}"
            class="badge badge-danger"
            data-toggle="vat-number-tooltip-{$tr['id_customer']|intval}"
            data-placement="top"
            title="{l s='This number is invalid. Click to validate.' mod='vatnumber'}"
            style="display:{if !$valid && !$manual}inline{else}none{/if}"
            data-id-customer="{$tr['id_customer']|intval}"
            data-vat-number="{$vatNumber|escape:'htmlall':'UTF-8'}"
      >
        <i class="icon icon-times-circle"></i> <span class="vat-number">{$vatNumber|escape:'htmlall':'UTF-8'}</span>
    </span>
  </span>
  <span id="btn-group-{$tr['id_customer']|intval}" class="btn-group" style="margin-left: 10px; display: inline-block">
    <button onclick="window.vatNumberModule.toggleInput(event); return false;"
            class="btn btn-default"
            title="{l s='Change' mod='vatnumber'}"
            data-id-customer="{$tr['id_customer']|intval}"
    >
      <i class="icon-pencil-square"></i>
    </button>
  </span></span>
</span>
<script type="text/javascript">
  (function () {
    function initTooltip() {
      // Wait for dependencies
      if (typeof $ === 'undefined' || typeof window.vatNumberModule === 'undefined') {
        setTimeout(initTooltip, 100);

        return;
      }

      $(document).ready(function () {
        $('[data-toggle="vat-number-tooltip-{$tr['id_customer']|intval}"]').tooltip();
        $('#vat-number-invalid-{$tr['id_customer']|intval}').click(window.vatNumberModule.listValidateClickHandler);
        $('#vat-number-set-{$tr['id_customer']|intval}, #vat-number-set-{$tr['id_customer']|intval} > button').click(window.vatNumberModule.setNewVatNumber);
      });
    }

    initTooltip();
  }());
</script>
